package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.VehicleCata;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * 平台车型分类表
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-05-25 10:29:46
 */
public interface VehicleCataMapper extends Mapper<VehicleCata> {


    //批量删除
    int delList(@Param("list") List<Integer> list,@Param("vehicleModelId")Integer vehicleModelId);
    //批量新增
    int addCataList(@Param("list") List<VehicleCata> list);
    //获取一条
    VehicleCata getOne(@Param("vehicleModelId")Integer vehicleModelId,@Param("cataId")Integer cataId );


    void updateIsdalByVehicleModelId(VehicleCata vehicleCata);

    void updateIsdalByVehicleCataId(VehicleCata vehicleCata);
}
